SyncsWebhooks
Sync webhooks
List sync webhooks
GET
List the webhooks of a sync: the URLs Stacksync posts its notifications to.
Authorization
AuthorizationstringheaderrequiredBearer <key>, where <key> is a workspace API key or a user API key. See Authentication.
workspace_id*integerThe workspace the resources belong to
base_id*stringThe sync (a sync is called a base in these paths)
Format
uuidregion*stringData region of the sync
Value in
"besg""usnv"The webhooks of the sync
application/json- response
The webhooks of the sync
msg*stringSuccessfully retrieved webhooks
webhooks*array<>The webhooks, in creation order
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks?region=besg'{ "msg": "Successfully retrieved webhooks", "webhooks": [ { "webhook_id": "6a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d", "url": "https://hooks.example.com/stacksync", "notification_type": "real_time_issue_notification", "api_key": "whsec_7f3a9c2e4b1d" } ]}